/**
 *
 */

function onLoadAction() {
	console.log("onLoadAction");
}

function onSetupClickAction(setupType) {
	console.log("onSetupClickAction");

	$(messageString).text("");
	if (setupType == "setupPerson") {
		$(messageString).append("ユーザー情報の初期化を開始します。<br>");
	}
	else if (setupType == "setupColumns") {
		$(messageString).append("列情報の初期化を開始します。<br>");
	}
	else if (setupType == "setupAccount") {
		$(messageString).append("勘定科目の初期化を開始します。<br>");
	}

	$.ajax({
		url: "./maintenance?option=" + setupType,
	    type: "POST",
		data: {},
		dataType: "text",
		cache : false,
		success: function(data, status, xhr) {
			// 通信成功時の処理
			$(messageString).append(data);
			console.log("★data");
			console.log(data);
			console.log("★status");
			console.log(status);
			console.log("★xhr");
			console.log(xhr);
		},
		error: function(xhr, status, error) {
			// 通信失敗時の処理
			console.log("★xhr");
			console.log(xhr);
			console.log("★status");
			console.log(status);
			console.log("★error");
			console.log(error);
		},
		complete: function(xhr, status) {
			// 通信完了時の処理
			$(messageString).append(xhr);
			console.log("★xhr");
			console.log(xhr);
			console.log("★status");
			console.log(status);
	    }
	});
}
